## org.apache.lucene.analysis.fi
Class FinnishLightStemmer

    java.lang.Object
      org.apache.lucene.analysis.fi.FinnishLightStemmer

    public class FinnishLightStemmer

extends Object

Light Stemmer for Finnish.

This stemmer implements the algorithm described in: Report on CLEF-2003 Monolingual Tracks Jacques Savoy

Constructor Summary
`FinnishLightStemmer()`

Method Summary
`int` `stem(char[] s, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinnishLightStemmer

    public FinnishLightStemmer()

Method Detail

### stem

    public int stem(char[] s,
                    int len)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.